POST V1/ProAdminEmergencyBillPayments.{ext}/SaveEmergencyBillpaymentandGeneratePFEmail?action={action}&NotificationType={NotificationType}&clientIdfr={clientIdfr}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
action

No description available

string

Required

NotificationType

No description available

string

Required

clientIdfr

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.EmergencyBillPaymentEntity
NameDescriptionTypeAdditional information
CompanyId

No description available

integer

None.

AcctIdfr

No description available

integer

None.

ClientIdfr

No description available

string

None.

EmergencyPaymentType

No description available

string

None.

VendorName

No description available

string

None.

AccountNbr

No description available

string

None.

PaymentMethod

No description available

string

None.

PkrmVendorRemitCode

No description available

string

None.

DeliveryMethod

No description available

string

None.

PaymentCurrency

No description available

string

None.

BankOrgAcct

No description available

string

None.

InvoiceNumber

No description available

string

None.

StartDate

No description available

string

None.

EndDate

No description available

string

None.

InvoiceAmt

No description available

string

None.

SettlementDate

No description available

string

None.

DueDate

No description available

string

None.

PFDate

No description available

string

None.

ImageFile

No description available

string

None.

Comments

No description available

string

None.

TransactionId

No description available

string

None.

FundingStatementName

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "companyId": 1,
  "acctIdfr": 2,
  "clientIdfr": "sample string 3",
  "emergencyPaymentType": "sample string 4",
  "vendorName": "sample string 5",
  "accountNbr": "sample string 6",
  "paymentMethod": "sample string 7",
  "pkrmVendorRemitCode": "sample string 8",
  "deliveryMethod": "sample string 9",
  "paymentCurrency": "sample string 10",
  "bankOrgAcct": "sample string 11",
  "invoiceNumber": "sample string 12",
  "startDate": "sample string 13",
  "endDate": "sample string 14",
  "invoiceAmt": "sample string 15",
  "settlementDate": "sample string 16",
  "dueDate": "sample string 17",
  "pfDate": "sample string 18",
  "imageFile": "sample string 19",
  "comments": "sample string 20",
  "transactionId": "sample string 21",
  "fundingStatementName": "sample string 22"
}

application/xml, text/xml

Sample:
<EmergencyBillPaymentEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <AccountNbr>sample string 6</AccountNbr>
  <AcctIdfr>2</AcctIdfr>
  <BankOrgAcct>sample string 11</BankOrgAcct>
  <ClientIdfr>sample string 3</ClientIdfr>
  <Comments>sample string 20</Comments>
  <CompanyId>1</CompanyId>
  <DeliveryMethod>sample string 9</DeliveryMethod>
  <DueDate>sample string 17</DueDate>
  <EmergencyPaymentType>sample string 4</EmergencyPaymentType>
  <EndDate>sample string 14</EndDate>
  <FundingStatementName>sample string 22</FundingStatementName>
  <ImageFile>sample string 19</ImageFile>
  <InvoiceAmt>sample string 15</InvoiceAmt>
  <InvoiceNumber>sample string 12</InvoiceNumber>
  <PFDate>sample string 18</PFDate>
  <PaymentCurrency>sample string 10</PaymentCurrency>
  <PaymentMethod>sample string 7</PaymentMethod>
  <PkrmVendorRemitCode>sample string 8</PkrmVendorRemitCode>
  <SettlementDate>sample string 16</SettlementDate>
  <StartDate>sample string 13</StartDate>
  <TransactionId>sample string 21</TransactionId>
  <VendorName>sample string 5</VendorName>
</EmergencyBillPaymentEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.